Get Recommendation Monitoring Result

Get Recommendation Monitoring Result
Retrieve continuous monitoring results

Fetches the results of periodic continuous monitoring for a specific recommendation session to identify if the context has drifted.

Notes:

  • Results are only available if monitoring_enabled is true for the session AND system-wide monitoring is active.
  • Compares the original context against the latest effective members (VMs/servers) and segmentation strategies.
  • If rerun_recommended is true, the environment has changed significantly and the user should trigger a new ANALYZE action via the PUT endpoint.
Request
URI
GET
https://{api_host}/intelligence/recommendations/{id}/monitoring-result
COPY
Path Parameters
string
id
Required  

The id of the resource


Authentication
This operation uses the following authentication methods.
Responses
200

The recommendation resource is present. Status may indicate further information.

Returns RecommendationMonitoringResult of type(s) application/json
{
    "id": "d81c4105-3da3-4cb5-8a08-51f082c175ae",
    "rerun_recommended": false,
    "rerun_recommended_reasons": [],
    "last_monitoring_start_time": 1779144510094,
    "latest_segmentation_strategies": [],
    "latest_effective_vms": [],
    "latest_effective_physical_servers": []
}
string
id
Read-Only  

recommendation id

boolean
rerun_recommended
Read-Only  

A flag that indicates whether the recommendation has to be rerun possibly because effective vm's have changed. It is recommended that the user rerun this recommendation when this flag is set.

array of string
rerun_recommended_reasons
Optional

A further explanation of why the rerun_recommended was set to true. EFFECTIVE_MEMBERS_CHANGED means that new members may have been added/removed from the original context members for whom the recommendation was generated for. Or infrastructure classification of members of the original context got changed. PERMISSIVE_MODE_CHANGED alert can be set when the security policy's application connectivity preference value was changed from what it was configured with during start of recommendation session. SEGMENTATION_STRATEGIES_CHANGED alert can be set when the security policy's application connectivity preference value was changed from what it was configured with during start of recommendation session. POLICY_APPLIED_TO_SCOPE_CHANGED alert can be set when the security policy's applied to scope was changed from what it was configured with during start of recommendation session. NONE means that no reason could be given for why the rerun_recommended to be set or there may have been multiple reasons. NON_CONTEXT_EFFECTIVE_MEMBERS_CHANGED Non context effective members refers to the computes that are communicating with the context boundary provided as input. If any of the non-context workloads changed their Infrastructure classification or got deleted after analysis was run then this rerun alert reason will be set.

Enumeration: NONE, EFFECTIVE_MEMBERS_CHANGED, PERMISSIVE_MODE_CHANGED, SEGMENTATION_STRATEGIES_CHANGED, POLICY_APPLIED_TO_SCOPE_CHANGED, NON_CONTEXT_EFFECTIVE_MEMBERS_CHANGED
integer As int64 As int64
last_monitoring_start_time
Optional

Timestamp in milliseconds since epoch.

array of object
latest_segmentation_strategies
Optional

If periodic monitoring is enabled for this recommendation and also system-wide, this value denotes the latest segmentation strategies/application connectivity preference set on the specified security policy at the time of the last periodic monitoring run. If this value is different than at the time the recommendation was run, then rerun will be recommended. This field will be the same as segmentation_strategies when security_policy is not provided as input to the recommendation session.

array of object
latest_effective_vms
Optional

If periodic monitoring is enabled for this recommendation and also system-wide, this value denotes the latest effective vms at the time of the last periodic monitoring run. This is a function of user provided context_groups and context_vms at the time of the last monitoring run for this recommendation. The group latest membership is used to recalculate this value. Any deleted vms will be removed when this value is set. Comparing this value with context_effective_vms can identify the vms that have been added or removed since the last time recommendation was generated. Assuming no further boundary changes happened after the last monitoring run, this is the boundary that would be used as an input to generate recommendation if it were rerun again now via the /rerun API.

array of object
latest_effective_physical_servers
Optional

[Deprecated] If periodic monitoring is enabled for this recommendation and also system-wide, this value denotes the latest effective physical servers at the time of the last periodic monitoring run. This is a function of user provided context_groups and context_physical_servers at the time of the last monitoring run for this recommendation. The group latest membership is used to recalculate this value. Any deleted physical servers will be removed when this value is set. Comparing this value with context_effective_physical_servers can identify the vms that have been added or removed since the last time recommendation was generated. Assuming no further physical server boundary changes happened after the last monitoring run, this is the physical server boundary that would be used as an input to generate recommendation if it were rerun again now via the /rerun API.


400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/intelligence/recommendations/{id}/monitoring-result